<html>
	<head>
		<!-- Changes the title of the page -->
		<title>SE Code of Ethics</title>
	</head>
	<body>
		
		<!-- Creates a heading text -->
		<p>
			<em>Science and Engineering Ethics (2001) 7, 231-238</em>
		</p>
	

		<!-- Creates a smaller heading text -->
		<h2>Software Engineering Code of Ethics and Professional Practice</h2>

		<h4>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h4>

		<!-- Creates a horizontal rule -->
		<hr>

		<strong>Keywords</strong>: code of ethics, professional responsibility, software engineering
		
		
		<h4>PREAMBLE</h4>

		The short version of the code summarizes aspirations at a high level of abstraction. The clauses that are included in the full version give examples and details of how these aspirations change the way we act as software engineering professionals. Without the aspirations, the details can become legalistic and tedious: without the details, the aspiration can become high-sounding but empty; together, the aspirations and the details form a cohesive code.

		<br>
		<br>

		Software engineers shall commit themselves to making the analysis, specifications, design, development, testing, and maintenance of software a beneficial and respected profession. In accordance with their commitment to the health, safety, and welfare of the public, software engineers shall adhere to the following eight Principles:

		<!-- Creates a paragraph text -->
				<!-- Introductory paragraph -->
				<!-- em creates emphasis on text -->
				<!-- strong creates importance on text -->
				<!-- br creates a line break in between text -->

		<p>
			<h4>PRINCIPLES</h4>
			<ol>
				<li><em>Public</em>. Software engineers shall act consistently with the public interest.</li>
				<li><em>Client and employer</em>. Software engineers shall act in a manner that is in the best interests of their client and employer, consistent with the public interest.</li>
				<li><em>Product</em>. Software engineers shall ensure that thier product and related modifications meet the highest professional standards possible.</li>
				<li><em>Judgement</em>. Software engineers shall maintain integrity and independence in their professional judgement.</li>
				<li>Management. Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>
				<li><em>Profession</em>. Software engineers shall advance the integrity and reputation of the profession consisten with the publicn interest.</li>
				<li><em>Colleagues</em>. Software engineers shall be fair to and supportive of their collegues.</li>
				<li><em>Self</em>. Software engineers shall participate in lifelong learning regarding the practice of their of their profession and shall promote an ethical approach to the practice of the profession.</li>
			</ol>

			
		
		
	</body>
</html>
